Module | Erubis::EscapeEnhancer
In: | erubis/enhancer.rb

switch ’<%= … %>’ to escaped and ’<%== … %>’ to unescaped

ex.

      class XmlEruby < Eruby
        include EscapeEnhancer
      end

this is language-indenedent.

### Methods

add_expr

### Public Instance methods

add_expr(src, code, indicator)

[Source]

    # File erubis/enhancer.rb, line 37
        def add_expr(src, code, indicator)
          case indicator
          when '='
            @escape ? add_expr_literal(src, code) : add_expr_escaped(src, code)
          when '=='
            @escape ? add_expr_escaped(src, code) : add_expr_literal(src, code)
          when '==='
            add_expr_debug(src, code)
          end
        end

[Validate]